---
title: File.mozFullPath
slug: Web/API/File/mozFullPath
tags:
  - API
  - File
  - File API
  - Files
  - NeedsContent
  - Non-standard
  - Property
  - Reference
  - mozFullPath
---
<div>{{APIRef("File API")}}{{draft}}{{Non-standard_header}}</div>

<p><span class="seoSummary">A privileged exension to the {{domxref("File")}} interface, the <code><strong>mozFullPath</strong></code> property contains the full pathname of the represented file.</span> This property is only available from within browser code or old-style XPCOM-based Firefox extensions. It is not available to web content.</p>
